## $Id: utils.py 15034 2018-05-30 12:38:14Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from copy import deepcopy
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    PAYMENT_CATEGORIES = {
        'schoolfee': 'Tuition & Exams Fee',
        'clearance': 'Acceptance Fee',
        'bed_allocation': 'Accommodation Booking Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'application': 'Application Fee',
        'ict_entre': 'ICT & Entrepreneur Fee',
        'logbook_combo': 'Logbook Combo Fee',
        'siwess_combo': 'SIWESS Combo Fee',
        'transcript': 'Transcript Fee',
        'certificate': 'Certificate Fee',
        }

    SELECTABLE_PAYMENT_CATEGORIES = deepcopy(PAYMENT_CATEGORIES)

    BALANCE_PAYMENT_CATEGORIES = {
        'schoolfee': 'Tuition & Exams Fee',
        'ict_entre': 'ICT & Entrepreneur Fee',
        }

    REPORTABLE_PAYMENT_CATEGORIES = {
        'schoolfee': 'Tuition & Exams Fee',
        'clearance': 'Acceptance Fee',
        #'bed_allocation': 'Accommodation Booking Fee',
        'hostel_maintenance': 'Hostel Maintenance Fee',
        'ict_entre': 'ICT & Entrepreneur Fee',
        'logbook_combo': 'Logbook Combo Fee',
        'siwess_combo': 'SIWESS Combo Fee',
        #'transcript': 'Transcript Fee',
        'certificate': 'Certificate Fee',
        }